> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization partners

> Returns a paginated list of organization partners with filtering, searching, and sorting options.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ❌    | ✅   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /partners
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /partners:
    get:
      tags:
        - Partners
      summary: Get organization partners
      description: >-
        Returns a paginated list of organization partners with filtering,
        searching, and sorting options.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ❌    | ✅   | ✅  |
      operationId: get_organization_partners_partners_get
      parameters:
        - name: partner_types
          in: query
          required: true
          schema:
            type: array
            uniqueItems: true
            items:
              $ref: '#/components/schemas/OrganizationPartnerType'
            minItems: 1
            description: Filter partners by their type
            title: Partner Types
          description: Filter partners by their type
        - name: partner_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  type: string
                  format: uuid
              - type: 'null'
            description: Filter partners by specific partner IDs
            examples:
              - 550e8400-e29b-41d4-a716-446655440000
            title: Partner Ids
          description: Filter partners by specific partner IDs
        - name: search_field
          in: query
          required: false
          schema:
            enum:
              - company_name
              - email
            type: string
            description: Field to search by
            default: company_name
            title: Search Field
          description: Field to search by
        - name: search_text
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            description: Text used for searching partners
            examples:
              - example
              - partner@example.com
            title: Search Text
          description: Text used for searching partners
        - name: invitation_statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/PartnerInvitationStatus'
              - type: 'null'
            description: Filter partners by invitation status
            title: Invitation Statuses
          description: Filter partners by invitation status
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - company_name
              - sales_amount
              - partner_type
              - email
              - frequency
              - payment_terms
              - address
              - city
              - state
              - postal_code
              - country_code
              - company_registration_number
            type: string
            description: Field to order the results by
            default: company_name
            title: Order By
          description: Field to order the results by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Order direction
            default: asc
            title: Order Dir
          description: Order direction
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of items to return
            examples:
              - 10
              - 20
              - 50
            title: Limit
          description: Maximum number of items to return
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip for pagination
            examples:
              - 0
              - 20
              - 50
            title: Offset
          description: Number of items to skip for pagination
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationPartnerList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization partner not found!
                    type: request
                    code: organization_partner_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    OrganizationPartnerType:
      type: string
      enum:
        - customer
        - supplier
      title: OrganizationPartnerType
    PartnerInvitationStatus:
      type: string
      enum:
        - invited
        - accepted
      title: PartnerInvitationStatus
    OrganizationPartnerList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrganizationPartner'
          type: array
          title: Items
          description: List of organization partners
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: Total number of organization partners
          examples:
            - 10
            - 25
            - 100
      type: object
      required:
        - items
        - total_items
      title: OrganizationPartnerList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    OrganizationPartner:
      properties:
        company_name:
          type: string
          maxLength: 100
          minLength: 1
          title: Company Name
          description: Name of the partner company
          examples:
            - Example Supplies Ltd
            - Example Trade Group
        sales_amount:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Sales Amount
          description: Annual sales amount with this partner
          examples:
            - 150000
            - 2500000
        partner_type:
          $ref: '#/components/schemas/OrganizationPartnerType'
          description: Type of organization partner
        email:
          type: string
          maxLength: 100
          minLength: 1
          format: email
          title: Email
          description: Contact email address of the partner
          examples:
            - partner@example.com
            - contact@exampletrade.io
        frequency:
          type: string
          maxLength: 30
          minLength: 1
          title: Frequency
          description: Frequency of transactions with the partner
        payment_terms:
          type: string
          maxLength: 50
          minLength: 1
          title: Payment Terms
          description: Payment terms agreed with the partner
          examples:
            - Net 30
            - Net 60
        address:
          type: string
          maxLength: 500
          minLength: 1
          title: Address
          description: Valid organization partner's street address
          examples:
            - 123 Main St, Suite 400
            - 456 Elm St, Floor 2
        city:
          type: string
          maxLength: 100
          minLength: 1
          title: City
          description: Valid organization partner's city
          examples:
            - New York
            - San Francisco
        state:
          type: string
          maxLength: 100
          minLength: 1
          title: State
          description: Valid organization partner's state or province
          examples:
            - NY
            - CA
        postal_code:
          type: string
          maxLength: 30
          minLength: 1
          title: Postal Code
          description: Valid organization partner's postal code
          examples:
            - 12345
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          title: Country Code
          description: >-
            Valid organization partner's country
            [code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
            in ISO 3166-1 alpha-2
          examples:
            - US
            - CA
        company_registration_number:
          type: string
          maxLength: 255
          minLength: 1
          title: Company Registration Number
          description: Valid organization partner's company registration number
          examples:
            - '123456789'
            - '987654321'
        id:
          type: string
          format: uuid
          title: Id
          description: >-
            Unique identifier of the [organization
            partner](https://docs.mycreditapp.ai/api-reference/partners/get-organization-partners)
          examples:
            - 550e8400-e29b-41d4-a716-446655440000
        invitation_status:
          anyOf:
            - $ref: '#/components/schemas/PartnerInvitationStatus'
            - type: 'null'
          description: Current invitation status of the partner
        guest_organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Guest Organization Id
          description: >-
            Identifier of the guest
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            if the partner accepted the invitation
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the partner record was created
          examples:
            - '2024-01-10T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the partner record was last updated
          examples:
            - '2024-02-15T09:30:00.123456'
      type: object
      required:
        - company_name
        - sales_amount
        - partner_type
        - email
        - frequency
        - payment_terms
        - address
        - city
        - state
        - postal_code
        - country_code
        - company_registration_number
        - id
        - created_at
        - updated_at
      title: OrganizationPartner
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````